Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search.finder
Class ThreadedFind

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.search.finder.BasicFind
          edu.stanford.smi.protegex.owl.ui.search.finder.ThreadedFind

All Implemented Interfaces:
  Find

    public class ThreadedFind

extends BasicFind

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 17-Mar-2006

Nested Class Summary

Nested classes/interfaces inherited from interface edu.stanford.smi.protegex.owl.ui.search.finder.Find
`Find.FindStatus`

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.search.finder.Find
`CONTAINS, ENDS_WITH, EXACTLY_MATCHES, searchTypeString, STARTS_WITH`

Constructor Summary
`ThreadedFind(OWLModel owlModel, int type)`

Method Summary
`void` | `cancelSearch()`
`void` | `startSearch(String s, int type)` Starts the search.

Methods inherited from class edu.stanford.smi.protegex.owl.ui.search.finder.BasicFind
`addResultListener, getDescription, getFindStatus, getLastSearch, getListeners, getModel, getNumSearchProperties, getResultCount, getResultResources, getResults, getSearchProperties, getSearchType, getSummaryText, isValidFrameToSearch, notifyResultsUpdated, notifySearchCancelled, notifySearchComplete, notifySearchStarted, removeResultListener, reset, searchOnSlot, startSearch, waitForSearchComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadedFind

    public ThreadedFind(OWLModel owlModel,
                        int type)

Method Detail

### startSearch

    public void startSearch(String s,
                            int type)

  Starts the search. Note that this routine will wait for any previous searches to complete.

  Specified by:
    `startSearch` in interface `Find`
  Overrides:
    `startSearch` in class `BasicFind`
  Parameters:
    `s` - The string to search for.
    `type` - The type of search.

### cancelSearch

    public void cancelSearch()

  Specified by:
    `cancelSearch` in interface `Find`
  Overrides:
    `cancelSearch` in class `BasicFind`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.